org.codehaus.groovy.runtime.powerassert

## Class Value

- java.lang.Object
- - org.codehaus.groovy.runtime.powerassert.Value

-     public class Value
      extends Object

  A value recorded during evaluation of an assertion, along with the column it is associated with in the assertion's normalized source text.
  Author:
    Peter Niederwieser

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Value(Object value, int column)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumn()`
    `Object` | `getValue()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Value

          public Value(Object value,
               int column)

  - ### Method Detail

    - #### getValue

          public Object getValue()

    - #### getColumn

          public int getColumn()